<html lang="en">
<head>
<title>Statistics - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Hidden-surface-removal.html#Hidden-surface-removal" title="Hidden surface removal">
<link rel="prev" href="Hidden-surface-removal.html#Hidden-surface-removal" title="Hidden surface removal">
<link rel="next" href="Bugs-and-anomalies.html#Bugs-and-anomalies" title="Bugs and anomalies">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Statistics"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Bugs-and-anomalies.html#Bugs-and-anomalies">Bugs and anomalies</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Hidden-surface-removal.html#Hidden-surface-removal">Hidden surface removal</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Hidden-surface-removal.html#Hidden-surface-removal">Hidden surface removal</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">4.4.3.1 Statistics</h5>

<p>For the curious, <code>sketch</code> writes one line of depth sort
statistics.  Here is an example for a large collection of triangles.
<pre class="verbatim">
  remark, node=34824 probe=581.9 swap=5 split=2 (in=4 out=6) ols=24851/0
</pre>
It means that 34,824 objects were depth sorted after culling. 
For each, an average of 581.9 others had to be checked to
ensure that the initial, approximate ordering was correct.  Among all
these checks, only 5 resulted in swaps to reorder the initial
sort.  In two cases, a correct ordering could not be determined, so
binary space partitions
<a name="index-binary-space-partition-503"></a>were constructed for splitting.  A total of 4
objects (triangles in this case) were inserted in the partitions, and
6 polygons were produced.  Finally, 24,851 &ldquo;last
resort&rdquo; polygon overlap checks were performed after simpler, faster
checks failed to yield conclusive results.  The final /0 is for
line-polygon overlap checks.  For comparison, the statistics for the
last figure in <a href="Overview.html#Overview">Overview</a> follow.
<pre class="verbatim">
  remark, node=27 probe=14.6 swap=36 split=15 (in=30 out=45) ols=0/69
</pre>
Note that there was proportionally much more swapping and splitting
activity in this highly connected scene.

   </body></html>

